Subject: Re: [PATCH netdev-2.6 7/10] ixgb: Replace kmalloc with vmalloc to allocate driver local data structures

From: William Lee Irwin III <[email-masked]>
Date: Fri, 29 Oct 2004 11:29:26 -0700

William Lee Irwin III wrote:
>> vmalloc is relatively highly penalized. For instance, global TLB
>> flushes associated with vfree() and so on. Aggregate vmallocspace
>> limitations are a big concern. I probably wouldn't use vmallocspace
>> for much besides infrequent allocations, e.g. things allocated during
>> driver initialization. One per driver instance won't really hurt much
>> because vmallocspace limits prevent large numbers of drivers from being
>> simultaneously loaded as it stands now anyway.

On Fri, Oct 29, 2004 at 02:26:37PM -0400, Jeff Garzik wrote:
> That's precisely what we're contemplating -- a once per driver 
> allocation that remains static for the entire driver runtime (descriptors)

An infrastructural change that does this would probably need to be
considered more carefully. I think you can probably just do it.

-- wli